part of 'raise_ticket_bloc.dart';

abstract class RaiseTicketEvent extends Equatable {
  const RaiseTicketEvent();

  @override
  List<Object?> get props => [];
}

class RaiseTicketSubjectChanged extends RaiseTicketEvent {
  final String subject;
  const RaiseTicketSubjectChanged(this.subject);

  @override
  List<Object> get props => [subject];
}

class RaiseTicketDescriptionChanged extends RaiseTicketEvent {
  final String description;
  const RaiseTicketDescriptionChanged(this.description);

  @override
  List<Object> get props => [description];
}

class RaiseTicketAttachmentPicked extends RaiseTicketEvent {
  final File attachment;
  const RaiseTicketAttachmentPicked(this.attachment);

  @override
  List<Object> get props => [attachment];
}

class RaiseTicketAttachmentRemoved extends RaiseTicketEvent {
  const RaiseTicketAttachmentRemoved();
}

class RaiseTicketSubmitted extends RaiseTicketEvent {
  const RaiseTicketSubmitted();
}

class RaiseTicketReset extends RaiseTicketEvent {
  const RaiseTicketReset();
}
